Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class ElementIndex

    java.lang.Object
      java.util.Observable
          org.exist.storage.ElementIndex

Direct Known Subclasses:
  NativeElementIndex

public abstract class ElementIndex
extends java.util.Observable

base class for `NativeElementIndex`

Constructor Summary
`ElementIndex(DBBroker broker)`

Method Summary
`abstract NodeSet` | `findDescendantsByTagName(byte type, QName qname, int axis, DocumentSet docs, ExtArrayNodeSet contextSet, int contextId)`
`abstract NodeSet` | `findElementsByTagName(byte type, DocumentSet docs, QName qname, NodeSelector selector)`
`abstract Occurrences[]` | `scanIndexedElements(Collection collection, boolean inclusive)`
`void` | `setDocument(DocumentImpl doc)`
`void` | `setInUpdateMode(boolean update)`

Methods inherited from class java.util.Observable
`addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementIndex

    public ElementIndex(DBBroker broker)

Method Detail

### setDocument

    public void setDocument(DocumentImpl doc)

### setInUpdateMode

    public void setInUpdateMode(boolean update)

### findElementsByTagName

    public abstract NodeSet findElementsByTagName(byte type,
                                                  DocumentSet docs,
                                                  QName qname,
                                                  NodeSelector selector)

### findDescendantsByTagName

    public abstract NodeSet findDescendantsByTagName(byte type,
                                                     QName qname,
                                                     int axis,
                                                     DocumentSet docs,
                                                     ExtArrayNodeSet contextSet,
                                                     int contextId)

### scanIndexedElements

    public abstract Occurrences[] scanIndexedElements(Collection collection,
                                                      boolean inclusive)
                                               throws PermissionDeniedException

  Throws:
    `PermissionDeniedException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.